package com.template.services;

import com.template.model.pojo.SmartApply;
import com.template.model.pojo.SmartTimeGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 楼栋表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-04-12
 */
public interface SmartTimeGroupService extends IService<SmartTimeGroup> {
    boolean insertSmartTimeGroups(List<SmartTimeGroup> stgs);

    boolean updateSmartTimeGroups(List<SmartTimeGroup> stgs);

    List<SmartTimeGroup> queryTimeGroups();

    SmartTimeGroup queryTimeGroupById(Integer id);

    SmartTimeGroup queryTimeGroupByName(String name);

    int deletedTimeGroupByIds(List<Integer> ids);

}
